Author Topic: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2  (Read 261 times)

ermes

  • Beginner
  • *
  • Posts: 42
Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
« on: November 02, 2018, 15:42:28 pm »
When i click on upgrade button from administrator panel to get the new version of VM AIO extension (from v3.2.14 to v3.4.2) joomla return me the following error:

Joomla\Filesystem\File::delete: Failed deleting inaccessible file vroute.php

GJC Web Design

  • 3rd party VirtueMart Developer
  • Super Hero
  • *
  • Posts: 8433
  • Virtuemart, Joomla & php developer
    • GJC Web Design
  • VirtueMart Version: 2.6.22 & 3.2.14
Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
« Reply #1 on: November 02, 2018, 16:01:37 pm »
hmm ..  this is a system plugin com_virtuemart.3.4.2.9966_ext_aio\plugins\system\vroute

u can try again with the  AIO http://dev.virtuemart.net/attachments/download/1142/com_virtuemart.3.4.2.9966_ext_aio.zip - just install

if not extract the files for that plugin and ftp to where they need to be and rerun
GJC Web Design
VirtueMart and Joomla Developers - php developers http://www.gjcwebdesign.com
VM3 AusPost Shipping Plugin - e-go Shipping Plugin - VM3 Postcode Shipping Plugin - Radius Shipping Plugin - VM3 NZ Post Shipping Plugin - AusPost Estimator
Samport Payment Plugin - EcomMerchant Payment Plugin - ccBill payment Plugin
VM2 Product Lock Extension - VM2 Preconfig Adresses Extension - TaxCloud USA Taxes Plugin - Virtuemart  Product Review Component
http://extensions.joomla.org/profile/profile/details/67210
Contact for any VirtueMart or Joomla development & customisation

ermes

  • Beginner
  • *
  • Posts: 42
Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
« Reply #2 on: November 02, 2018, 16:09:27 pm »
It return me the same error

Sean753

  • Beginner
  • *
  • Posts: 2
  • A beginner
Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
« Reply #3 on: November 14, 2018, 10:47:31 am »

When i click on upgrade button from administrator panel to get the new version of VM AIO extension (from v3.2.14 to v3.4.2) joomla return me the following error:

Joomla\Filesystem\File::delete: Failed deleting inaccessible file vroute.php

Same issue here and i can't find any solutions.

***************  Mods: spam link removed - warning issued *************

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9726
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Unable to ugrade Virtuemart AIO from version 3.2.14 to 3.4.2
« Reply #4 on: November 16, 2018, 09:45:58 am »
The strange thing is, that the installer does not delete files. I cant remember that I wrote it and I cant find it in the installer. So how the heck tries the AIO installer to remove the old plugin. The vRoute plugin was just an idea, it was not meant to be distributed.
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/